View Issue Details

IDProjectCategoryView StatusLast Update
0023097LazarusLCLpublic2012-10-13 12:13
ReporterGraeme Geldenhuys Assigned ToBart Broersma  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Platformx86_64OSLinux OpenSUSE 
Product Version1.1 (SVN) 
Summary0023097: TDBNavigator with a ImageList property
DescriptionA ImageList property should be added to the TDBNavigator. That way developers can easily modify the look of the navigator and make it blend it better with the icon theme of their applications.
TagsNo tags attached.
Fixed in Revisionr39065
LazTarget-
Widgetset
Attached Files

Activities

Bart Broersma

2012-10-10 13:59

developer   ~0063053

How would the button-glyphs behave if one was stupid enough to have less images in the imagelist then the number of buttons?
- show no glyph
- show default glyph (as currently loaded from resource)

Graeme Geldenhuys

2012-10-10 14:18

reporter   ~0063057

Add a simple validation rule that checks the number of buttons and the number of glyphs in the ImageList.

I guess the the "show default glyph" (loaded from resource) could also work.

Bart Broersma

2012-10-13 12:13

developer   ~0063124

Please test (thoroughly) and close if OK.

Issue History

Date Modified Username Field Change
2012-10-10 06:47 Graeme Geldenhuys New Issue
2012-10-10 13:59 Bart Broersma Note Added: 0063053
2012-10-10 14:18 Graeme Geldenhuys Note Added: 0063057
2012-10-13 12:13 Bart Broersma Fixed in Revision => r39065
2012-10-13 12:13 Bart Broersma LazTarget => -
2012-10-13 12:13 Bart Broersma Status new => resolved
2012-10-13 12:13 Bart Broersma Resolution open => fixed
2012-10-13 12:13 Bart Broersma Assigned To => Bart Broersma
2012-10-13 12:13 Bart Broersma Note Added: 0063124
2013-03-06 13:04 Dietrich Hoppe Issue cloned: 0023999